# Get Product Transactions of a Document

Endpoint: GET /storage_operations/documents/goods_transactions/{document_id}
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `document_id` (number, required)
    Document ID

## Header parameters:

  - `Accept` (string, required)
    e.g. application/vnd.api.v2+json

  - `Content-Type` (string, required)
    application/json

  - `Authorization` (string, required)
    Bearer partner_token, User user_token

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)
    Execution success status (true)

  - `data` (array)
    Array of objects with data

  - `data.id` (number)
    Transaction ID

  - `data.document_id` (number)
    Document ID

  - `data.type_id` (number)
    Transaction type identifier

  - `data.company_id` (number)
    location ID

  - `data.good_id` (number)
    Item ID

  - `data.amount` (number)
    Quantity of products

  - `data.cost_per_unit` (number)
    Unit price

  - `data.discount` (number)
    Discount

  - `data.cost` (number)
    The total cost of the products

  - `data.unit_id` (number)
    Unit ID

  - `data.operation_unit_type` (number)
    Unit type: 1 - for sale, 2 - for write-off

  - `data.storage_id` (number)
    Inventory ID

  - `data.supplier_id` (number)
    Vendor ID

  - `data.record_id` (number)
    Appointment ID

  - `data.client_id` (number)
    Client ID

  - `data.master_id` (number)
    team member ID

  - `data.create_date` (string)
    date of creation

  - `data.comment` (string)
    A comment

  - `data.service_id` (number)
    Service ID

  - `data.user_id` (number)
    User ID

  - `data.deleted` (boolean)
    Has the transaction been deleted?

  - `data.pkg_amount` (number)
    Amount in a package

  - `meta` (object)
    Metadata (number of transactions found)

  - `meta.count` (integer)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

